Merge branch 'dev' of feistymeow.org:feisty_meow into dev
authorChris Koeritz <fred@gruntose.com>
Sun, 17 Dec 2017 16:00:30 +0000 (16:00 +0000)
committerChris Koeritz <fred@gruntose.com>
Sun, 17 Dec 2017 16:00:30 +0000 (16:00 +0000)
scripts/customize/fred/scripts/archival/raw_surya_synch.sh [deleted file]
scripts/customize/fred/scripts/archival/raw_synch.sh [new file with mode: 0644]
scripts/site_avenger/revamp_cakelampvm.sh
scripts/system/common_sysadmin.sh

diff --git a/scripts/customize/fred/scripts/archival/raw_surya_synch.sh b/scripts/customize/fred/scripts/archival/raw_surya_synch.sh
deleted file mode 100644 (file)
index 57b9472..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-
-echo "Updating walrus and musix from surya: raw mode without syncthing!"
-echo
-
-for currdir in basement imaginations musix walrus; do
-  sep
-  echo "synching $currdir folder..."
-  rsync -avz surya:/z/$currdir/* /z/$currdir/
-done
-
-sep
-
diff --git a/scripts/customize/fred/scripts/archival/raw_synch.sh b/scripts/customize/fred/scripts/archival/raw_synch.sh
new file mode 100644 (file)
index 0000000..9a69b9c
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+
+synch_host="$1"; shift
+if [ -z "$synch_host" ]; then
+  echo This script requires a hostname where we expect to find archives.
+  exit 1
+fi
+
+echo "Updating our local archives from $synch_host: this is very raw mode, without syncthing!" | splitter
+echo
+
+for currdir in basement imaginations musix walrus; do
+  sep
+  echo "synching $currdir folder from $synch_host..."
+  rsync -avz "$synch_host":/z/$currdir/* /z/$currdir/
+done
+
+sep
+
index 239a7f1435cc95044e7086fab96449350791f00e..a9016d8c5af158567714c54f17415e79ffac5100 100644 (file)
@@ -145,8 +145,8 @@ search_replace "^[[:blank:]]*Header always set Strict-Transport-Security.*" "# n
 if [ $? -ne 0 ]; then
   echo the apache tls-enabling.conf file seems to have already been patched to disable strict transport security.  good.
 else
-  echo successfully patched the apache tls-enabling.conf file to disable strict transport security.  awesome.
   restart_apache
+  echo successfully patched the apache tls-enabling.conf file to disable strict transport security.  awesome.
 fi
 
 ##############
@@ -167,11 +167,32 @@ else
 *                              IN A            10.28.42.20
                                IN HINFO        "linux vm" "ubuntu"
 " >> /etc/bind/cakelampvm.com.conf
-
-restart_bind
+  restart_bind
+  echo "successfully added wildcard domains to the cakelampvm.com bind configuration, so we're still on track for greatness."
+fi
 
 ##############
 
+# fix samba configuration for (ass-headed) default of read-only in user homes.
+# why add a necessary feature if you're just going to cripple it by default?
+
+pattern="[#;][[:blank:]]*read only = yes"
+replacement="read only = no"
+
+# first see if we've already done this.
+# if we find any occurrence of the replacement, we assume we already did it.
+# ** we're assuming a lot about the structure of the samba config file!
+grep -q "$replacement" /etc/samba/smb.conf 
+if [ $? -ne 0 ]; then
+  echo "the samba configuration has already been fixed for user homes, s'cool."
+else
+  # so not there yet; we need to make the replacement.
+  sed -i "0,/$pattern/{s/$pattern/$replacement/}" /etc/samba/smb.conf
+  test_or_die "patching samba configuration to enable write acccess on user home dirs"
+  # sweet, looks like that worked...
+  restart_samba
+  echo successfully patched the samba configuration to enable writes on user home directories.  way cool.
+fi
 
 ##############
 ##############
index 4ab80ed3716e6092650b5e8b8b6c30763a9d9869..7f831e21aa4953214bdca0c13dc7044a73abd486 100644 (file)
@@ -186,6 +186,25 @@ function restart_bind()
 
 ############################################################################
 
+# samba server helper functions...
+
+function restart_samba
+{
+  echo restarting samba server.
+  service smbd restart
+  if [ $? -ne 0 ]; then
+    echo "The samba service did not restart properly.  Please check the error logs."
+    exit 1
+  fi
+  service nmbd restart
+  if [ $? -ne 0 ]; then
+    echo "The samba name service (nmbd) did not restart properly.  This may not always be fatal, so we are ignoring it, but you may want to check the error logs."
+  fi
+  echo samba service restarted.
+}
+
+############################################################################
+
 # apache2 methods...
 
 # removes a config file for apache given the app name and site name.